Subject: Re: bug#15046: 24.3.50; Extra Line under minibuffer in Mac OSX fullscreen

From: Dani Moncayo <[email-masked]>
Date: Fri, 9 Aug 2013 13:26:17 +0200

On Fri, Aug 9, 2013 at 1:03 PM, Dani Moncayo <[email-masked]> wrote:
> This is a duplicate of bug #7004 (I think).
>
> IMO, the right fix would be to always use all the available vertical
> space to show content, putting the leftover vertical space at the
> bottom side of the main windows (i.e. excluding the minibuffer/echo
> area, obviously).
>
> In fact, the above criterion seems the one that I currently observe in
> Emacs for the leftover horizontal space (try adjusting the text size
> with `C-x C-+', for example).

And FWIW, I've just noticed that, at least in the Windows port, this
problem is already fixed when both the menu bar and the tool bar are
hidden.

See the attached screenshots.  They show a fullscreen "emacs -Q" session.
* The first one has the menu and tool bars visible, and the echo area
takes too much, unnecessary vertical space.
* The second one has the menu and toll bars hidden, and now the
leftover space is given to the main windows (correct).

-- 
Dani Moncayo